> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaigns

> Gets a paginated list of campaigns for user org



## OpenAPI

````yaml GET /api/v1/campaigns
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/campaigns:
    get:
      tags:
        - campaigns
      summary: Get Campaigns List
      description: Gets a paginated list of campaigns for user org
      operationId: get_campaigns_list_api_v1_campaigns_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_ICampaignRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_ICampaignRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_ICampaignRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[ICampaignRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_ICampaignRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ICampaignRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - page
        - size
      title: PageBase[ICampaignRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ICampaignRead:
      properties:
        name:
          type: string
          title: Name
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        status:
          $ref: '#/components/schemas/ICampaignStatusEnum'
          default: draft
        start_date:
          type: string
          format: date-time
          title: Start Date
        end_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Date
        start_time:
          type: string
          format: time
          title: Start Time
        end_time:
          type: string
          format: time
          title: End Time
        phone_numbers:
          items:
            type: string
          type: array
          title: Phone Numbers
          default: []
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        additional_params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Additional Params
          default: {}
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - name
        - end_date
        - start_time
        - end_time
        - id
        - created_at
      title: ICampaignRead
    ICampaignStatusEnum:
      type: string
      enum:
        - draft
        - paused
        - running
        - finished
        - canceled
      title: ICampaignStatusEnum
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````